# Bericht zur automatischen Planung

`GET https://{tenant}.stamp.eu/rest/rosters/{roster}/auto_schedule_report`

Cached report of the
last auto-scheduling run, `null` when nothing was generated (yet)

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `roster` | string | ja | The roster ID |

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object \| null | ja |
| `data.generated` | integer | ja |
| `data.open` | object[] | ja |
| `data.open[].date` | string | ja |
| `data.open[].shift_id` | string | ja |
| `data.open[].reason` | string | ja |
| `data.cross_unit` | object[] | ja |
| `data.cross_unit[].date` | string | ja |
| `data.cross_unit[].shift_id` | string | ja |
| `data.cross_unit[].employee_id` | string | ja |
| `data.cross_unit[].source_unit_id` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |
